PR_GET_SECUREBITS(2const)

NAME
PR_GET_SECUREBITS - get the "securebits" flags of the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_SECUREBITS);

DESCRIPTION
Return the "securebits" flags of the calling thread. See capabilities(7).

RETURN VALUE
On success, PR_GET_SECUREBITS, returns the nonnegative value described above. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 2.6.26.

SEE ALSO
prctl(2), PR_SET_SECUREBITS(2const), capabilities(7)